Subject: Re: [OSPF] Comments on draft-ietf-ospf-node-admin-tag-00

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 27 Feb 2015 12:14:28 +0000

Hi Shraddha, Les,

See one inline. 

On 2/27/15, 1:29 AM, "Shraddha Hegde" <[email-masked]> wrote:

>Les,
>
>Thanks for the review and comments.
>Pls see in-line..
>
>I have some comments in this draft.
>
>---Introduction
>----------------
>---I think the last sentence should be removed. It is providing an
>example of a use case - and as such is more appropriate for Section 5.
>
>---Also, node-tags are a property of the node - not of the routing
>protocol used to advertise them - I would like to see this point
>explicitly stated. Perhaps something like:
>
>---"Per-node administrative tags are used to advertise an attribute of
>the node. As such they are independent of the routing protocol used to
>advertise them. "
>
><Shraddha> Will work on the rewording of introduction section.
>
>
>Section 2
>---------------
>
>This section seems redundant w Section 1. It should be removed.
>
><Shraddha> I think this section is needed to explicitly imply that the
>tags are used for TE as well as non-TE applications.
>
>Section 3 - Last Paragraph
>----------------------------------
>What is the reason for restricting the # of tags in a single TLV to 64?
>As OSPF TLVs have a 16 bit length field this restriction seems arbitrary.
>
><Shraddha> This was suggestion from Acee to restrict it to prevent the RI
>LSA overflowing. Since we have multi instanced RI-LSA this restriction
>can be removed.
>                       Will update the draft for this.

Agreed. There shouldn¹t be any controversy in advancing the RFC 4970 BIS
document lifting the single LSA restriction.

Thanks,
Acee

>
>Figure 1
>-----------
>The format of the ASCII art above needs to be corrected to properly
>indicate the field lengths.
>
><Shraddha> OK
>
>Section 5
>-------------
>
>I would like to see this section moved to an Appendix. Since this section
>is not normative that would more clearly separate the
>normative/non-normative parts.
>
><Shraddha>Use cases section gives information on the motivation of the
>draft and looks necessary to be in the draft sections than moving it to
>appendix.
>
>Rgds
>Shraddha
>
>-----Original Message-----
>From: OSPF [mailto:[email-masked]] On Behalf Of Les Ginsberg
>(ginsberg)
>Sent: Monday, February 23, 2015 9:02 PM
>To: OSPF List ([email-masked]);
>[email-masked]
>Subject: [OSPF] Comments on draft-ietf-ospf-node-admin-tag-00
>
>I have some comments in this draft.
>
>Introduction
>----------------
>I think the last sentence should be removed. It is providing an example
>of a use case - and as such is more appropriate for Section 5.
>
>Also, node-tags are a property of the node - not of the routing protocol
>used to advertise them - I would like to see this point explicitly
>stated. Perhaps something like:
>
>"Per-node administrative tags are used to advertise an attribute of the
>node. As such they are independent of the routing protocol used to
>advertise them. "
>
>
>
>
>Section 2
>---------------
>
>This section seems redundant w Section 1. It should be removed.
>
>Section 3 - Last Paragraph
>----------------------------------
>What is the reason for restricting the # of tags in a single TLV to 64?
>As OSPF TLVs have a 16 bit length field this restriction seems arbitrary.
>
>Figure 1
>-----------
>The format of the ASCII art above needs to be corrected to properly
>indicate the field lengths.
>
>Section 5
>-------------
>
>I would like to see this section moved to an Appendix. Since this section
>is not normative that would more clearly separate the
>normative/non-normative parts.
>
>   Les
>
>_______________________________________________
>OSPF mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ospf
>
>_______________________________________________
>OSPF mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ospf